DataProvider::AbstractDataProviderFactory Class Referenceabstract

Data provider factory class. More...

Inheritance diagram for DataProvider::AbstractDataProviderFactory:
[legend]

## Public Member Functions

AbstractDataProvider | create (*hash< auto > options)
| Creates an object from the given constructor options.
abstract Class | getClass ()
| Returns the class for the data provider object.
abstract hash< DataProviderInfo > | getInfo ()
| Returns static provider information. More...
hash< auto > | getInfoAsData ()
| Returns static provider information as data; no objects are returned. More...
abstract string | getName ()
| Returns the name of the data provider factory.

## Protected Member Functions

| error (string err, string fmt)
| thrown an exception

## Detailed Description

Data provider factory class.

## Member Function Documentation

## getInfo()

abstract hash<DataProviderInfo> DataProvider::AbstractDataProviderFactory::getInfo | ( |  | ) |

pure virtual

Returns static provider information.

Note
  the `name` and `children` attributes are not returned as they are dynamic attributes

Implemented in DataProvider::NullDataProviderFactory.

## getInfoAsData()

hash<auto> DataProvider::AbstractDataProviderFactory::getInfoAsData | ( |  | ) |

Returns static provider information as data; no objects are returned.

Note
  the `name` and `children` attributes are not returned as they are dynamic attributes